Subject: RE: [Adslmib] VDSL Line Extension MIB

From: [email-masked]
Date: Mon, 9 Jun 2003 11:24:07 +0200

Hi Rajesh,

	As an operator interface there are circumstances when the operator
would like to define or monitor
some or all of the physical parameters directly. The operator Should be
given this choice. There are other similar
choices in the MIB such as vdslLineConfDownstreamRateMode which can be set
to Manual rather than be configured
automatically. In addition the MIB allows non-standard bandplans and the use
of them may be a necessity, due to cross talk from other equipment already
deployed in the network, or even as a choice of the operator. In these
circumstances 
the direct definition of the physical parameters is a necessity for the
operator. 
	Clearly the missing parameters are the LCS parameters that have been
removed from this core MIB and 
will be defined in the extension MIB. Again it is not a question of
unnecessary complications but one of choice/necessity  of the operator.
	Lets agree to put this information in the extension MIB and the
operator can choose whether to make
use of it or not.

	Regards,
	Menachem

-----Original Message-----
From: Rajesh Abbi [mailto:[email-masked]]
Sent: Friday, June 06, 2003 5:12 PM
To: Flemisch Felix
Cc: [email-masked]; [email-masked]; Menachem Dodge
Subject: Re: [Adslmib] VDSL Line Extension MIB

Hi Felix,

Please see my respone below ...

Regards,

Rajesh

Flemisch Felix wrote:

> Hi all,
>
> on 5th June Bob Ray (16:00) and Rajesh Abbi (17:22) argued that
> the proposed new object "vdslLineConfProfileLCSExt" should not
> be needed in the VDSL Line MIB.
>
> Sorry that I have to disagree with the co-editors
> but it definitely IS needed.
>
> Its purpose is twofold:
>
> 1. vdslLineConfProfileLCSExt documents the commitment of the
>    adslmib WG (and IETF) to develop an LCS VDSL Line Extension
>    MIB (VDSL-LINE-EXT-MIB).  While the details of this MIB are
>    under discussion, it is no longer the case that "the issue of
>    LCS extension is still under discussion", as Rajesh stated.
>    On the contrary, DSLF started work on it, and the adslmib WG
>    shall be obliged to translate the resulting LCS management
>    framework extension to an SNMP extension MIB.
>    The formal starting point would be vdsl-07.

The DSL Forum made it an objective to keep the VDSL Management
working-text (WT-068) line-code independent.  There were some
concerns at that time from ECI about the adequacy of the existing
parameters in WT-068 for SCM management, so a separate proposed-draft
(PD-015) was created to capture additional SCM-specific parameters.
Subsequently, a few additional line-code independent parameters were
identified that addressed the remaining concerns for SCM configuration.
These additional parameters are already included in the IETF draft, and
will be included in an addendum to the DSL Forum TR-057 (ex WT-068).
The LCS PDs are now optional extensions to TR-057.

> 2. For an individual VDSL line, vdslLineConfProfileLCSExt
>    clarifies whether for the configuration of this line
>    LCS extensions are needed or not and if they are needed
>    how the respective rows are identified.  This settles a
>    discussion that took place in the adslmib WG from 20th
>    to 25th May and remained unsettled so far.

I have seen general comments so far about how the current draft is not
adequate.  I would like to see specific additional parameter(s) you believe
are necessary for the MIB.

It should be noted that the MIB is intended to be an 'operator' interface
and
not a chipset/driver interface.  Only parameters that an operator wishes to
control are included in order to keep it simple to use.

> If you do not commit to this object, you still allow ANY
> undocumented relationship from the core VDSL Line Configuration
> Profile table to vendor-specific LCS extension tables, and you
> leave it unclarified whether the core configuration parameters
> are sufficient to configure individual VDSL lines.

> This is clearly not what we want, and the commitment to develop
> a standardized VDSL-LINE-EXT-MIB is needed NOW.
>
> Note that from the object vdslLineConfProfile it is impossible
> to decide whether LCS configuration parameters for an individual
> VDSL line are needed respectively are present at all.  This is
> what I previously called "removal of the eight LCS profile
> tables without trace".  The proposed new object gives back
> the missing trace to the removed tables.

The LCS extensions are simply that.  The core MIB should not be made
'aware' of the extensions.  As noted above, at this time LCS extensions
are still deemed 'optional'.  Hopefully we can keep it that way to avoid
unnecessary complication for the user.

> Regards,
> Felix
_______________________________________________
Adslmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/adslmib

---

From: Rajesh Abbi <[email-masked]>
Date: Tue, 10 Jun 2003 09:31:05 -0400

Menachem,

The question is not about usefulness of some detailed parameters under special
(mostly diagnostic) circumstances.  The only issue is about such parameters
being required for basic operation.  The core MIB defines the parameters needed
for normal operation, and should be kept as simple as possible.  Support for detailed
diagnostic parameters can be an optional extension.  So indeed, if there is
sufficient interest in developing optional line-code-specific extension MIBs, that
can be undertaken as a separate work-item.

The DSL Forum is capturing the requirements for just such optional LCS extensions
in the current PD documents.  Feel free to contribute to those.

Regards,

Rajesh